<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- This XSL is not template! -->

	<!-- new: will be added -->
	<!-- <type id="efl.colorselector@mode"> <constant value="" displayName="(None)" /> <constant value="0" displayName="ELM_COLORSELECTOR_PALETTE" /> <constant value="1" 
		displayName="ELM_COLORSELECTOR_COMPONENTS" /> <constant value="2" displayName="ELM_COLORSELECTOR_BOTH" /> <constant value="3" displayName="ELM_COLORSELECTOR_PICKER" 
		/> <constant value="4" displayName="ELM_COLORSELECTOR_PLANE" /> <constant value="5" displayName="ELM_COLORSELECTOR_PALETTE_PLANE" /> <constant value="6" displayName="ELM_COLORSELECTOR_ALL" 
		/> <constant value="4" displayName="ELM_COLORSELECTOR_ALL" /> </type> -->

	<xsl:variable name="value_map">
		<map>
			<entry key="option:center">ELM_BG_OPTION_CENTER</entry>
			<entry key="option:scale">ELM_BG_OPTION_SCALE</entry>
			<entry key="option:stretch">ELM_BG_OPTION_STRETCH</entry>
			<entry key="option:tile">ELM_BG_OPTION_TILE</entry>

			<entry key="direction:horizontal">true</entry>
			<entry key="direction:vertical">false</entry>

			<entry key="file_text_format:plain_utf8">ELM_TEXT_FORMAT_PLAIN_UTF8</entry>
			<entry key="file_text_format:markup_utf8">ELM_TEXT_FORMAT_MARKUP_UTF8</entry>

			<entry key="context_menu:false">true</entry>
			<entry key="context_menu:true">false</entry>

			<entry key="select_mode:default">ELM_OBJECT_SELECT_MODE_DEFAULT</entry>
			<entry key="select_mode:always">ELM_OBJECT_SELECT_MODE_ALWAYS</entry>
			<entry key="select_mode:none">ELM_OBJECT_SELECT_MODE_NONE</entry>
			<entry key="select_mode:display_only">ELM_OBJECT_SELECT_MODE_DISPLAY_ONLY</entry>

			<entry key="calendar:select_mode:default">ELM_CALENDAR_SELECT_MODE_DEFAULT</entry>
			<entry key="calendar:select_mode:always">ELM_CALENDAR_SELECT_MODE_ALWAYS</entry>
			<entry key="calendar:select_mode:none">ELM_CALENDAR_SELECT_MODE_NONE</entry>
			<entry key="calendar:select_mode:ondemand">ELM_CALENDAR_SELECT_MODE_ONDEMAND</entry>

			<entry key="scrollbar_h:auto">ELM_SCROLLER_POLICY_AUTO</entry>
			<entry key="scrollbar_h:true">ELM_SCROLLER_POLICY_ON</entry>
			<entry key="scrollbar_h:false">ELM_SCROLLER_POLICY_OFF</entry>

			<entry key="scrollbar_v:auto">ELM_SCROLLER_POLICY_AUTO</entry>
			<entry key="scrollbar_v:true">ELM_SCROLLER_POLICY_ON</entry>
			<entry key="scrollbar_v:false">ELM_SCROLLER_POLICY_OFF</entry>

			<entry key="autohide:false">true</entry>
			<entry key="autohide:true">false</entry>

			<entry key="indicator:false">true</entry>
			<entry key="indicator:true">false</entry>

			<entry key="image:orient:none">ELM_IMAGE_ORIENT_NONE</entry>
			<entry key="image:orient:orient_0">ELM_IMAGE_ORIENT_0</entry>
			<entry key="image:orient:orient_90">ELM_IMAGE_ORIENT_90</entry>
			<entry key="image:orient:rotate_90">ELM_IMAGE_ROTATE_90</entry>
			<entry key="image:orient:orient_180">ELM_IMAGE_ORIENT_180</entry>
			<entry key="image:orient:rotate_180">ELM_IMAGE_ROTATE_180</entry>
			<entry key="image:orient:orient_270">ELM_IMAGE_ORIENT_270</entry>
			<entry key="image:orient:rotate_270">ELM_IMAGE_ROTATE_270</entry>
			<entry key="image:orient:flip_horizontal">ELM_IMAGE_FLIP_HORIZONTAL</entry>
			<entry key="image:orient:flip_vertical">ELM_IMAGE_FLIP_VERTICAL</entry>
			<entry key="image:orient:flip_transpose">ELM_IMAGE_FLIP_TRANSPOSE</entry>
			<entry key="image:orient:flip_transverse">ELM_IMAGE_FLIP_TRANSVERSE</entry>

			<entry key="panel:orient:top">ELM_PANEL_ORIENT_TOP</entry>
			<entry key="panel:orient:bottom">ELM_PANEL_ORIENT_BOTTOM</entry>
			<entry key="panel:orient:left">ELM_PANEL_ORIENT_LEFT</entry>
			<entry key="panel:orient:right">ELM_PANEL_ORIENT_RIGHT</entry>

			<entry key="line_wrap:none">ELM_WRAP_NONE</entry>
			<entry key="line_wrap:char">ELM_WRAP_CHAR</entry>
			<entry key="line_wrap:word">ELM_WRAP_WORD</entry>
			<entry key="line_wrap:mixed">ELM_WRAP_MIXED</entry>

			<entry key="mode:compress">ELM_LIST_COMPRESS</entry>
			<entry key="mode:scroll">ELM_LIST_SCROLL</entry>
			<entry key="mode:limit">ELM_LIST_LIMIT</entry>
			<entry key="mode:expand">ELM_LIST_EXPAND</entry>

			<entry key="shrink_mode:none">ELM_TOOLBAR_SHRINK_NONE</entry>
			<entry key="shrink_mode:hide">ELM_TOOLBAR_SHRINK_HIDE</entry>
			<entry key="shrink_mode:scroll">ELM_TOOLBAR_SHRINK_SCROLL</entry>
			<entry key="shrink_mode:menu">ELM_TOOLBAR_SHRINK_MENU</entry>
			<entry key="shrink_mode:expand">ELM_TOOLBAR_SHRINK_EXPAND</entry>

			<entry key="item_type:none">ELM_GENLIST_ITEM_NONE</entry>
			<entry key="item_type:tree">ELM_GENLIST_ITEM_TREE</entry>
			<entry key="item_type:group">ELM_GENLIST_ITEM_GROUP</entry>

			<entry key="gengrid:align:none">ELM_GENGRID_ITEM_SCROLLTO_NONE</entry>
			<entry key="gengrid:align:in">ELM_GENGRID_ITEM_SCROLLTO_IN</entry>
			<entry key="gengrid:align:left">ELM_GENGRID_ITEM_SCROLLTO_TOP</entry>
			<entry key="gengrid:align:center">ELM_GENGRID_ITEM_SCROLLTO_MIDDLE</entry>
			<!--<entry key="gengrid:align:right">ELM_GENGRID_ITEM_SCROLLTO_BOTTOM </entry> -->

			<entry key="genlist:align:none">ELM_GENLIST_ITEM_SCROLLTO_NONE</entry>
			<entry key="genlist:align:in">ELM_GENLIST_ITEM_SCROLLTO_IN</entry>
			<entry key="genlist:align:left">ELM_GENLIST_ITEM_SCROLLTO_TOP</entry>
			<entry key="genlist:align:center">ELM_GENLIST_ITEM_SCROLLTO_MIDDLE</entry>
			<!--<entry key="genglist:align:right">ELM_GENLIST_ITEM_SCROLLTO_BOTTOM </entry> -->
		</map>
	</xsl:variable>

	<!-- [caller example] // write code on top of ui_component.xsl (eg: box.xsl) <xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exslt="http://exslt.org/common"> 
		// Add a Name Space! // write the code to where you want it <xsl:variable name="key_val1" select="concat(attribute_name, ':', @attribute)"/> <xsl:variable name="rconv_val" 
		select="exslt:node-set($value_map)//entry[@key=$key_val1]"/> <xsl:value-of select="concat($indentation, 'ui', '-builder', $rconv_val1)"/> -->

</xsl:stylesheet>